#pragma once
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2\imgproc\imgproc.hpp>
#include <opencv/cv.h>
#include <iostream>
#include <string>
#include <limits>

using namespace std;
using namespace cv;

class BoundingBox
{
public:
	BoundingBox();
	~BoundingBox();
	static int allBoundingBoxes(const vector<vector<Point>> & contours, vector<vector<Point>> & bbs);
	static int split(const vector<vector<Point>> & contours, const Mat &image, string filename);
};

